module MarketplaceService::AvailableCurrencies

  # This list maps country codes to the best guess default currency to use
  # In a marketplace based on that country. For the others, it's USD
  COUNTRY_CURRENCIES = {
      "AU" => "AUD",
      "KI" => "AUD",
      "TV" => "AUD",
      "NF" => "AUD",
      "BR" => "BRL",
      "CA" => "CAD",
      "CZ" => "CZK",
      "DK" => "DKK",
      "FO" => "DKK",
      "HK" => "HKD",
      "HU" => "HUF",
      "IL" => "ILS",
      "JP" => "JPY",
      "MY" => "MYR",
      "MX" => "MXN",
      "NO" => "NOK",
      "CK" => "NZD",
      "NZ" => "NZD",
      "PH" => "PHP",
      "PL" => "PLN",
      "GB" => "GBP",
      "GG" => "GBP",
      "JE" => "GBP",
      "RU" => "RUB",
      "SG" => "SGD",
      "SE" => "SEK",
      "CH" => "CHF",
      "LI" => "CHF",
      "TW" => "TWD",
      "TH" => "THB",
      "AL" => "EUR",
      "AD" => "EUR",
      "AT" => "EUR",
      "BE" => "EUR",
      "BG" => "EUR",
      "HR" => "EUR",
      "CY" => "EUR",
      "FI" => "EUR",
      "FR" => "EUR",
      "GF" => "EUR",
      "DE" => "EUR",
      "GR" => "EUR",
      "GP" => "EUR",
      "NL" => "EUR",
      "IE" => "EUR",
      "IT" => "EUR",
      "LT" => "EUR",
      "LU" => "EUR",
      "MK" => "EUR",
      "MT" => "EUR",
      "MQ" => "EUR",
      "YT" => "EUR",
      "MC" => "EUR",
      "ME" => "EUR",
      "PT" => "EUR",
      "RE" => "EUR",
      "SM" => "EUR",
      "RS" => "EUR",
      "SK" => "EUR",
      "SI" => "EUR",
      "ES" => "EUR",
      "VA" => "EUR"
  }

  CURRENCIES = SortedSet.new(["USD"].concat(COUNTRY_CURRENCIES.values))

end
